---
title: Delete Keyless SSL Configuration
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Keyless Certificates](https://developers.cloudflare.com/api/typescript/resources/keyless_certificates)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Keyless SSL Configuration

client.keylessCertificates.delete(stringkeylessCertificateID, KeylessCertificateDeleteParams {zone\_id } params, RequestOptionsoptions?): [KeylessCertificateDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/keyless_certificates#(resource)%20keyless_certificates%20%3E%20(model)%20keyless_certificate_delete_response%20%3E%20(schema)>) {id }

DELETE/zones/{zone\_id}/keyless\_certificates/{keyless\_certificate\_id}

Removes a Keyless SSL configuration. SSL connections will no longer use the keyless server for cryptographic operations.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write`

##### ParametersExpand Collapse

keylessCertificateID: string

Keyless certificate identifier tag.

maxLength32

[Link to this property](<#(resource)%20keyless_certificates%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20keyless_certificate_id%20%3E%20(schema)>)

<details>

<summary>

params: KeylessCertificateDeleteParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20keyless_certificates%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20keyless_certificates%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

KeylessCertificateDeleteResponse {id }

</summary>

id?: string

Keyless certificate identifier tag.

maxLength32

<a href="#(resource)%20keyless_certificates%20%3E%20(model)%20keyless_certificate_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20keyless_certificates%20%3E%20(model)%20keyless_certificate_delete_response%20%3E%20(schema)>)

### Delete Keyless SSL Configuration

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const keylessCertificate = await client.keylessCertificates.delete(
  '4d2844d2ce78891c34d0b6c0535a291e',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(keylessCertificate.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "4d2844d2ce78891c34d0b6c0535a291e"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "4d2844d2ce78891c34d0b6c0535a291e"
  }
}
```